Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 3809)
+++ trunk/SophyaLib/Samba/Makefile	(revision 3810)
@@ -14,26 +14,47 @@
   $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)triangmtx.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
@@ -43,63 +64,80 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)anydataobj.h
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
-  circle.h $(SOPHYAINCP)vector3d.h \
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)utilgeom.h geometry.h
+  $(SOPHYAINCP)vector3d.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
  
-$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
-  datacirclebase.h circle.h \
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc $(SOPHYAINCP)sopnamsp.h \
+  datacirclefake.h datacirclebase.h circle.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)utilgeom.h geometry.h
+  $(SOPHYAINCP)vector3d.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
 $(SOPHYAOBJP)harmspher.o: harmspher.cc $(SOPHYAINCP)machdefs.h \
-  harmspher.h
+  $(SOPHYAINCP)osx_values.h harmspher.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
-$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc $(SOPHYAINCP)sopnamsp.h \
+  lambdaBuilder.h $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h alm.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)triangmtx.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
   $(SOPHYAINCP)nbconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
@@ -109,32 +147,50 @@
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
@@ -144,27 +200,39 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
 $(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h scan.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h scan.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)smathconst.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
  
@@ -172,5 +240,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  sphericaltransformserver.h \
+  $(SOPHYAINCP)osx_values.h sphericaltransformserver.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -178,38 +246,61 @@
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fftpserver.h \
-  $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)randinterf.h alm.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)triangmtx.h \
-  $(SOPHYAINCP)tvector.h lambdaBuilder.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fftservintf.h alm.h \
+  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h lambdaBuilder.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
Index: trunk/SophyaLib/Samba/alm.h
===================================================================
--- trunk/SophyaLib/Samba/alm.h	(revision 3809)
+++ trunk/SophyaLib/Samba/alm.h	(revision 3810)
@@ -8,5 +8,5 @@
 #include "randinterf.h"
 #include "nbmath.h"
-#include "triangmtx.h"
+#include "trngmtx.h"
 #include "tvector.h"
 
@@ -15,12 +15,12 @@
 // ----- Classe Alm 
 template <class T>
-class Alm : public TriangularMatrix< complex<T> > {
+class Alm : public LowerTriangularMatrix< complex<T> > {
 public :
  
-  Alm() : TriangularMatrix<complex<T> >()  {}
+  Alm() : LowerTriangularMatrix<complex<T> >()  {}
 //! instanciate the class from the maximum value of the index \f$l\f$ in the sequence of the \f$a_{lm}\f$'s 
-  Alm(sa_size_t nlmax) : TriangularMatrix<complex<T> >(nlmax+1) {}
+  Alm(sa_size_t nlmax) : LowerTriangularMatrix<complex<T> >(nlmax+1) {}
 //! copy constructor 
-  Alm(const Alm<T>& a,  bool share=false)  : TriangularMatrix<complex<T> >(a, share)  {}
+  Alm(const Alm<T>& a,  bool share=false)  : LowerTriangularMatrix<complex<T> >(a, share)  {}
 //! Constructor, generates alm from a cl vector
   Alm(const TVector<T> & clin, const r_8 fwhm) ;
Index: trunk/SophyaLib/Samba/lambdaBuilder.cc
===================================================================
--- trunk/SophyaLib/Samba/lambdaBuilder.cc	(revision 3809)
+++ trunk/SophyaLib/Samba/lambdaBuilder.cc	(revision 3810)
@@ -42,6 +42,6 @@
 }
 
-TriangularMatrix<r_8> LambdaLMBuilder::a_recurrence_ = TriangularMatrix<r_8>();
-TriangularMatrix<r_8> LambdaLMBuilder::lam_fact_     = TriangularMatrix<r_8>();
+LowerTriangularMatrix<r_8> LambdaLMBuilder::a_recurrence_ = LowerTriangularMatrix<r_8>();
+LowerTriangularMatrix<r_8> LambdaLMBuilder::lam_fact_     = LowerTriangularMatrix<r_8>();
 TVector<r_8>* LambdaLMBuilder::normal_l_     = NULL;
 
@@ -168,5 +168,5 @@
   Alm<r_8> alm8(alm.Lmax());
   for(sa_size_t k=0; k<alm8.Size(); k++) 
-    alm8(k) = complex<r_8>((r_8)alm(k).real() , (r_8)alm(k).imag());
+    alm8[k] = complex<r_8>((r_8)alm[k].real() , (r_8)alm[k].imag());
   Bm< complex<r_8> > bm8(bm.Mmax());
   ComputeBmFrAlm(theta, lmax, mmax, alm8, bm8);
@@ -361,5 +361,5 @@
      if (lam_fact_.Size() < 1 || normal_l_ == NULL)
        {
-	 //	 lam_fact_ = new  TriangularMatrix<r_8>;
+	 //	 lam_fact_ = new  LowerTriangularMatrix<r_8>;
 	 normal_l_ = new TVector<r_8>;
 	 updateArrayLamNorm();
@@ -431,5 +431,5 @@
      if (lam_fact_.Size() < 1 || normal_l_ == NULL)
        {
-	 //	 lam_fact_ = new  TriangularMatrix<r_8>;
+	 //	 lam_fact_ = new  LowerTriangularMatrix<r_8>;
 	 normal_l_ = new TVector<r_8>;
 	 updateArrayLamNorm();
Index: trunk/SophyaLib/Samba/lambdaBuilder.h
===================================================================
--- trunk/SophyaLib/Samba/lambdaBuilder.h	(revision 3809)
+++ trunk/SophyaLib/Samba/lambdaBuilder.h	(revision 3810)
@@ -60,12 +60,10 @@
 
  /*! return the value of the coefficient \f$  \lambda_l^m \f$ */
-inline double lamlm(int l, int m) const 
-  {
-    lambda_.CheckRelativeIndices(l,m);
-    return lambda_(l,m); 
-  }
+inline double lamlm(int l, int m) const   {
+  return lambda_(l,m); 
+}
 
 inline double lamlm(int index) const {
- return lambda_(index); 
+ return lambda_[index]; 
 }
 
@@ -81,7 +79,7 @@
 
 
- // static TriangularMatrix<r_8>* a_recurrence_;
- static TriangularMatrix<r_8> a_recurrence_;
- TriangularMatrix<r_8> lambda_;
+ // static LowerTriangularMatrix<r_8>* a_recurrence_;
+ static LowerTriangularMatrix<r_8> a_recurrence_;
+ LowerTriangularMatrix<r_8> lambda_;
 
  protected :
@@ -89,6 +87,6 @@
  void updateArrayLamNorm();
 
- // static  TriangularMatrix<r_8>* lam_fact_;
- static  TriangularMatrix<r_8> lam_fact_;
+ // static  LowerTriangularMatrix<r_8>* lam_fact_;
+ static  LowerTriangularMatrix<r_8> lam_fact_;
  static  TVector<r_8>*  normal_l_;
  int_4 lmax_;
@@ -125,6 +123,6 @@
 
 
-  TriangularMatrix<r_8> lamWlm_;
-  TriangularMatrix<r_8> lamXlm_;
+  LowerTriangularMatrix<r_8> lamWlm_;
+  LowerTriangularMatrix<r_8> lamXlm_;
   
 
@@ -152,6 +150,6 @@
  void array_init();
 
-  TriangularMatrix<r_8> lamPlm_;
-  TriangularMatrix<r_8> lamMlm_;
+  LowerTriangularMatrix<r_8> lamPlm_;
+  LowerTriangularMatrix<r_8> lamMlm_;
 
 };
Index: trunk/SophyaLib/Samba/smakefile
===================================================================
--- trunk/SophyaLib/Samba/smakefile	(revision 3809)
+++ trunk/SophyaLib/Samba/smakefile	(revision 3810)
@@ -14,26 +14,47 @@
   $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)triangmtx.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
@@ -43,63 +64,80 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)anydataobj.h
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
-  circle.h $(SOPHYAINCP)vector3d.h \
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)utilgeom.h geometry.h
+  $(SOPHYAINCP)vector3d.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
  
-$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
-  datacirclebase.h circle.h \
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc $(SOPHYAINCP)sopnamsp.h \
+  datacirclefake.h datacirclebase.h circle.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)utilgeom.h geometry.h
+  $(SOPHYAINCP)vector3d.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
 $(SOPHYAOBJP)harmspher.o: harmspher.cc $(SOPHYAINCP)machdefs.h \
-  harmspher.h
+  $(SOPHYAINCP)osx_values.h harmspher.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
-$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc $(SOPHYAINCP)sopnamsp.h \
+  lambdaBuilder.h $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h alm.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)triangmtx.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
   $(SOPHYAINCP)nbconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
@@ -109,32 +147,50 @@
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
@@ -144,27 +200,39 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
 $(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h scan.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h scan.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)smathconst.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
  
@@ -172,5 +240,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  sphericaltransformserver.h \
+  $(SOPHYAINCP)osx_values.h sphericaltransformserver.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -178,38 +246,61 @@
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fftpserver.h \
-  $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)randinterf.h alm.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)triangmtx.h \
-  $(SOPHYAINCP)tvector.h lambdaBuilder.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fftservintf.h alm.h \
+  $(SOPHYAINCP)nbmath.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h lambdaBuilder.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
